GNU bug report logs - #16026
Gnus shouldn't use old connections

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs,gnus; Reported by: Stefan Monnier <monnier@HIDDEN>; merged with #16906; dated Mon, 2 Dec 2013 15:05:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 16026 <at> debbugs.gnu.org:


Received: (at 16026) by debbugs.gnu.org; 12 Feb 2017 17:42:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 12 12:42:34 2017
Received: from localhost ([127.0.0.1]:37277 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ccyAT-0002T5-SL
	for submit <at> debbugs.gnu.org; Sun, 12 Feb 2017 12:42:34 -0500
Received: from mout.gmx.net ([212.227.17.21]:52585)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1ccyAR-0002Sr-KI
 for 16026 <at> debbugs.gnu.org; Sun, 12 Feb 2017 12:42:32 -0500
Received: from detlef.gmx.de ([62.227.218.242]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0Meduu-1d1D6q2Ljk-00ODr8; Sun, 12
 Feb 2017 18:42:20 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#16026: Connection specific settings and proxies
References: <mailman.7856.1385996719.10748.bug-gnu-emacs@HIDDEN>
 <86wqjnwa9u.fsf@HIDDEN>
 <jwvfvqb1bhb.fsf-monnier+emacsbugs@HIDDEN>
 <871u1s38m3.fsf@HIDDEN> <877f5j2i67.fsf@HIDDEN>
 <jwvziif80c1.fsf-monnier+emacsbugs@HIDDEN>
 <87a8a8paru.fsf@HIDDEN>
 <jwv8tpsi3ah.fsf-monnier+emacsbugs@HIDDEN>
 <87r33jnvn1.fsf@HIDDEN> <87h94fqjq7.fsf@HIDDEN>
 <m3efzhmf5d.fsf_-_@stories> <87o9ykr6os.fsf@flea>
 <87mve3ffov.fsf__41803.1231420629$1486136780$gmane$org@HIDDEN>
 <87k293ny36.fsf@flea>
Date: Sun, 12 Feb 2017 18:42:17 +0100
In-Reply-To: <87k293ny36.fsf@flea> (Ted Zlatanov's message of "Mon, 06 Feb
 2017 10:22:21 -0500")
Message-ID: <87d1enz4p2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K0:ZLXXUyganlLoVQr5QQXkAelW4vuHdjZM4f9BB9WhT6Q0GqWhv2S
 OrCAMiZ//1YOn++EBA5FijHA8Gz1yUUmhZOh9vjd0J39J4DbJwEKTARjt7IYkyzOeuIpTeL
 VB4O6Ypo/PSCs4Y8TtFFIZ89c5PKEGdecVXIf7pqUgeitP7U3UqsIpH54J866xiau5kGQgb
 pLfiHDFATs3oHwH7lVZIQ==
X-UI-Out-Filterresults: notjunk:1;V01:K0:sotJaEV1peM=:cwStjg50/yq8tNguKukEGk
 aVDmVAaoJ4QfSOt9GtMc8wYxeDtz5IEjmgect7Sa5WzWd+WZS4+rYDch+Knw3HJLU6s0lOLfR
 46K50fwBhWbgVLHhBjF81PY4HVbi4U5Jkf0UHqwjd3OdUeg4bzk5c3h/VvFAOPoRphJdvyN4n
 r4RZ0M60lA69KJrJBE/nP0N3OIJg44/J/3b9gHrXsJyhiNFK42uwsCi5QY0jh6uGwzE3Ho491
 d7BixKdW618nyrE7WST5lzXBk5s/oVGKIif2wgq2HgacQwb4jFsM/YHGHLGMM2N3/G53HFo3O
 jb8jQ8APR2w3y9ild3Rw3Bm2k4mzfVZBQ4+4hrYaGt6M/BO2fJ2/xi4vCQSaPVb0BnebETJVD
 0IADSDTRguDnZbbi9yJS0qmN9WKQHuxHr7u5nooGy8y3KDyz2aRZYQp0c6JPkzwcTkPrGrfdN
 EeC85JcHKrCYLQQo1QMRZ5pQza2SEw6dF/aMm2qQ1HriNgdghDraROFs1kwbJqDjUn+vxoEIo
 4yExmxkM4N5kRkYVFE1jR34yVwQ8nhVL3W/3g4ibhZny/+rVCq6imW4fPPG+KPYjRiXfehWRA
 o8UcZP9BnM35wx3kD9X/ScA4lOTzwznYme61hVe/tn2CzVJuUivxznfqdBqj970oxLS4s6Lam
 /v0gtEvdnNgYwsqqFWDwIygKKS6aM4c9aQkjf7BeAdSVPZwnT+afEwtsnQSQ5Ymz441dMYTmO
 MbfixXGDSnO+17XYYXrR5R+pVFch9ICOntkrVtQH0dHfYVvqsYVOKsxlhAAOsvBoDsXLrwv+E
 eu5i8Ss
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 16026
Cc: 16026 <at> debbugs.gnu.org, Stefan Monnier <monnier@HIDDEN>,
 Emacs developers <emacs-devel@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

Ted Zlatanov <tzz@HIDDEN> writes:

Hi Ted,

> MA> Well, I've stolen the "class" name from directory-local variables. The
> MA> concept of connection-local variables is closed to that of directory-local.
>
> MA> No problem to rename it, if it helps. And sometimes I'm even not sure
> MA> whether we need the class/profile concept; it might be even sufficient
> MA> to bind variables to connections directly, like variables can be bound
> MA> directly to buffers.
>
> I think from the user's side, it's necessary. We have to associate the
> data with a profile, which is then exposed as a configurable entity.
>
> Let's call them "connection profiles" to be very clear, since just
> "profile" can be ambiguous as well.

OK, I'll change next time I'll touch the code.

> MA> Well, currently a class is bound to a connection via a regexp, which is
> MA> used for checking the result of `file-remote-p'. This is good for Tramp,
> MA> but it is less good for url-* functionality unless `url-handler-mode' is
> MA> enabled, and it does not work for other applications like imap-based
> MA> connections.
>
> MA> Your proposal looks OK to me. U, Y and Z shall be regexps, X a symbol
> MA> (or also a regexp?). All of them shall be optional.
>
> Wonderful. I propose that the application should be a defgroup symbol,
> and every connection profile should be required to have a defgroup.
>
> That would give us an implicit connection profile hierarchy and a place
> to hook connection profile customizations at the UI level.
>
> So defining connection profiles would be something like this:
>
> (add-connection-profiles :user U :defgroup X :protocol Y :machine Z
>                          :profile 'UXYZ :vars '(...))
>
> (add-connection-profiles :profile 'general :vars '(...))

Well, I'm a little bit lost. What does the defgroup here? I understand
that replaces what you have called initially an application, but I don't
see what defcustoms shall be placed now under the defgroup
hierarchy. Could you pls give an example?

I also know that there are users reluctant to the customization
machinery. Wouldn't we loose them?

> Thanks
> Ted

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#16026; Package emacs,gnus. Full text available.

Message received at 16026 <at> debbugs.gnu.org:


Received: (at 16026) by debbugs.gnu.org; 6 Feb 2017 15:22:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 06 10:22:31 2017
Received: from localhost ([127.0.0.1]:57927 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cal7f-0006pw-56
	for submit <at> debbugs.gnu.org; Mon, 06 Feb 2017 10:22:31 -0500
Received: from mail-qt0-f179.google.com ([209.85.216.179]:33373)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tzz@HIDDEN>) id 1cal7d-0006pi-JB
 for 16026 <at> debbugs.gnu.org; Mon, 06 Feb 2017 10:22:29 -0500
Received: by mail-qt0-f179.google.com with SMTP id v23so107801446qtb.0
 for <16026 <at> debbugs.gnu.org>; Mon, 06 Feb 2017 07:22:29 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=lifelogs.com; s=google;
 h=from:to:cc:subject:organization:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:user-agent
 :mime-version; bh=YjuDQYDc3GmNSgB0evkAnm5jaLHiA6w+hfrbLpMmUus=;
 b=QORghvZs+6C+Sp1oQuXIHAnYwRkwBfSEYwUQn/yCeaatfq18Z5pzdNEbog6cODJ14g
 hv8HxBh6Y/cHEUcL0og5bZVHcKtXQkItjeoS0jQFshc+C96Ug5xWCbej0q+lq7eYCSp+
 4rT2mMqA7IPvcfan8xCd3z/BkQcldChjJujA0=
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:organization:references
 :mail-copies-to:gmane-reply-to-list:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=YjuDQYDc3GmNSgB0evkAnm5jaLHiA6w+hfrbLpMmUus=;
 b=sze5yVeJDVSpq0fQD3795N7R083J5UDy7PcL/SExorWlWSuOKGp1p/OzvlMPRQmFE7
 OF3d73q0ozkfTd3+YcEBXN6whhHmnfyuCKTG/Qvvb64PwDaQjKqnR0wPkbF1vbO4xEWb
 bzYWX15ocSoh1nbP2V3zVdwq7EKDSPcwQPi16Ipyt2CTyBI3ygxKmVmctigg9Q+0MsQ/
 YxxJnn4cI1sd1yud4BiQ8+sAAfU11WG8kn7r/rkPZaFnw9z+cCDde3ugrzEOIeU7Bz/h
 m9ge7GDP7aYuNNg6UzvKJQr/75xvI/1EIkgSbEVjhU5e0Phlx3RAaeKo5bLhPU8uOBpM
 BgFQ==
X-Gm-Message-State: AMke39nE1OCKa0HM1YZyLb7CkEcr1jmxLTlu5zkM6dpKmWq2s9TAMXA9UdtPT0wUHBRnaA==
X-Received: by 10.200.0.25 with SMTP id a25mr9724853qtg.191.1486394543840;
 Mon, 06 Feb 2017 07:22:23 -0800 (PST)
Received: from flea (c-98-229-60-157.hsd1.ma.comcast.net. [98.229.60.157])
 by smtp.gmail.com with ESMTPSA id l53sm748246qtl.41.2017.02.06.07.22.22
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 06 Feb 2017 07:22:22 -0800 (PST)
From: Ted Zlatanov <tzz@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#16026: Connection specific settings and proxies
Organization: =?utf-8?B?0KLQtdC+0LTQvtGAINCX0LvQsNGC0LDQvdC+0LI=?= @ Cienfuegos
References: <mailman.7856.1385996719.10748.bug-gnu-emacs@HIDDEN>
 <86wqjnwa9u.fsf@HIDDEN>
 <jwvfvqb1bhb.fsf-monnier+emacsbugs@HIDDEN>
 <871u1s38m3.fsf@HIDDEN> <877f5j2i67.fsf@HIDDEN>
 <jwvziif80c1.fsf-monnier+emacsbugs@HIDDEN>
 <87a8a8paru.fsf@HIDDEN>
 <jwv8tpsi3ah.fsf-monnier+emacsbugs@HIDDEN>
 <87r33jnvn1.fsf@HIDDEN> <87h94fqjq7.fsf@HIDDEN>
 <m3efzhmf5d.fsf_-_@stories> <87o9ykr6os.fsf@flea>
 <87mve3ffov.fsf__41803.1231420629$1486136780$gmane$org@HIDDEN>
X-Face: bd.DQ~'29fIs`T_%O%C\g%6jW)yi[zuz6;
 d4V0`@y-~$#3P_Ng{@m+e4o<4P'#(_GJQ%TT=
 D}[Ep*b!\e,fBZ'j_+#"Ps?s2!4H2-Y"sx"
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Mon, 06 Feb 2017 10:22:21 -0500
In-Reply-To: <87mve3ffov.fsf__41803.1231420629$1486136780$gmane$org@HIDDEN>
 (Michael Albinus's message of "Fri, 03 Feb 2017 16:37:52 +0100")
Message-ID: <87k293ny36.fsf@flea>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: 16026
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 16026 <at> debbugs.gnu.org,
 Stefan Monnier <monnier@HIDDEN>,
 Emacs developers <emacs-devel@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

On Fri, 03 Feb 2017 16:37:52 +0100 Michael Albinus <michael.albinus@HIDDEN> wrote: 

MA> Ted Zlatanov <tzz@HIDDEN> writes:
MA> Hi Ted,

>> The way Michael set it up, you have connection profiles ("classes") that
>> can be associated with any variables. (For passers-by, see
>> `connection-local-set-class-variables', `connection-local-set-classes',
>> and `with-connection-local-classes'). Profiles can be overlaid to
>> augment each other.
>> 
>> (Michael: maybe it's not too late to change "class" to "profile"
>> because the former is so overloaded in our field?)

MA> Well, I've stolen the "class" name from directory-local variables. The
MA> concept of connection-local variables is closed to that of directory-local.

MA> No problem to rename it, if it helps. And sometimes I'm even not sure
MA> whether we need the class/profile concept; it might be even sufficient
MA> to bind variables to connections directly, like variables can be bound
MA> directly to buffers.

I think from the user's side, it's necessary. We have to associate the
data with a profile, which is then exposed as a configurable entity.

Let's call them "connection profiles" to be very clear, since just
"profile" can be ambiguous as well.

>> I see. I think the classes should be associated with applications and
>> protocols and login names, not just connections. Michael, what do you
>> think? That would require changing the identification parameter to
>> `connection-local-get-classes' to be an alist or a plist like
>> :user U :application X :protocol Y :machine Z

MA> Well, currently a class is bound to a connection via a regexp, which is
MA> used for checking the result of `file-remote-p'. This is good for Tramp,
MA> but it is less good for url-* functionality unless `url-handler-mode' is
MA> enabled, and it does not work for other applications like imap-based
MA> connections.

MA> Your proposal looks OK to me. U, Y and Z shall be regexps, X a symbol
MA> (or also a regexp?). All of them shall be optional.

Wonderful. I propose that the application should be a defgroup symbol,
and every connection profile should be required to have a defgroup.

That would give us an implicit connection profile hierarchy and a place
to hook connection profile customizations at the UI level.

So defining connection profiles would be something like this:

(add-connection-profiles :user U :defgroup X :protocol Y :machine Z
                         :profile 'UXYZ :vars '(...))

(add-connection-profiles :profile 'general :vars '(...))

And then the application Gnus would do (note it's required that the
defgroup 'gnus exists):

(connection-profile-get-local-variables :defgroup 'gnus ...other criteria...)

From the user's side, they would say

M-x customize-connection-profile UXYZ ; change criteria or settings
M-x customize-connection-profile general ; change criteria or settings
M-x create-connection-profile atwork ; specify desired settings
M-x connection-profiles ; some kind of table/list UI

Let me know what you think.

Thanks
Ted




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#16026; Package emacs,gnus. Full text available.

Message received at 16026 <at> debbugs.gnu.org:


Received: (at 16026) by debbugs.gnu.org; 3 Feb 2017 15:38:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 03 10:38:12 2017
Received: from localhost ([127.0.0.1]:55300 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cZfwB-0006tS-Tn
	for submit <at> debbugs.gnu.org; Fri, 03 Feb 2017 10:38:12 -0500
Received: from mout.gmx.net ([212.227.15.19]:61862)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1cZfwA-0006tF-SZ
 for 16026 <at> debbugs.gnu.org; Fri, 03 Feb 2017 10:38:11 -0500
Received: from detlef.gmx.de ([93.197.213.175]) by mail.gmx.com (mrgmx001
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0LjIit-1c2H3i2xe3-00dZ1K; Fri, 03
 Feb 2017 16:37:57 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#16026: Connection specific settings and proxies
References: <mailman.7856.1385996719.10748.bug-gnu-emacs@HIDDEN>
 <86wqjnwa9u.fsf@HIDDEN>
 <jwvfvqb1bhb.fsf-monnier+emacsbugs@HIDDEN>
 <871u1s38m3.fsf@HIDDEN> <877f5j2i67.fsf@HIDDEN>
 <jwvziif80c1.fsf-monnier+emacsbugs@HIDDEN>
 <87a8a8paru.fsf@HIDDEN>
 <jwv8tpsi3ah.fsf-monnier+emacsbugs@HIDDEN>
 <87r33jnvn1.fsf@HIDDEN> <87h94fqjq7.fsf@HIDDEN>
 <m3efzhmf5d.fsf_-_@stories> <87o9ykr6os.fsf@flea>
Date: Fri, 03 Feb 2017 16:37:52 +0100
In-Reply-To: <87o9ykr6os.fsf@flea> (Ted Zlatanov's message of "Thu, 02 Feb
 2017 09:46:59 -0500")
Message-ID: <87mve3ffov.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K0:SHPo5aL6kb7CTEq+dOAbXn0rd+amG9na3m1zpbi+h+9bwtfgGRK
 /TkqzHRiMj5cvTqUmElnMo/rcjOYt0E22tfUbcP3ISdxeBR//RIn4VSfoYwBsRY4xZi6DdG
 oTObuevIzXd2rwyV/aJI3tpWtSCKxR58d0Tpx1Xn+Z+He3fbkIcP3WQP+Pvpihw/0PfqF1W
 PYHmUVFOHCCaBoNhX5gUQ==
X-UI-Out-Filterresults: notjunk:1;V01:K0:UT1SWLYzwCw=:f+z581U9XaGztuchzr0dwe
 iGDkfHMDWPK+Y1TcVF5oHOux4jBJk7/3WIS3RYgUNSV+fVd4kXJnUD8mlp5N6OZzw0T7nrsuK
 L0iQCmpQz9DGPI7o6VuSolSIenqdUke2u0+CmySJ0N1jobGnL+XCXRPntTfMe8Uya8JYtlIVm
 ujSYf9J5QslBJYdu94Cz4Lqz0/17AnfcgxHRnTCNqb/yWr12XUBQFOon2eaTa2bM2k1RHqs4O
 4mOqNwNualcElbAT9hSMJSj4CWMF3mWCgPjJeFsuo5dm+e49ZJ8ImLvwodckf5awXHMnyMajD
 X2y1FvoRiJrXBVCJRzytc/5IvFPpV4PMRlPuj6tvnN52IiHUC84LoLAW467pccK1QfGhOdV8V
 yASQySVT/80qWDqv9ncGJmfSfXwQbcl/GQomAFhDIyG0In4tI2wKo71uVgrRarLlRqZRyfsdx
 eWAnYjDEvlF/WBm9sXFC0uXi/1esOM/JVi9EKDycZhpUIaPbbbsQ9F8P8AXEqHH2u6PcqYMvC
 +SmaOZ98VaLrJegRO6+lqwvZj09Wh0fuHeOn79rJSSw3vDYp7j07q7pO0/TSFr98X58pHsHw7
 RK1FlPUS5fxHvk3WEiyXlyYgxCgRXb69qYyohYD2ef70rZZeNoXsztatbsCz6Yq/NJXaD+zmz
 tOxA0wmidBNsWCI9O8g8eVDOopqIIjN+qSf11zCro75fb8RQr96sY0HlkOWM4HfyZt4/FtxHh
 7+shK1qn57N4oLhIbBlk5p2rWaeXkTPTBOa/cEH1ImPCB0P9wiiSKRdXSgBRIov1XLfKxWcvH
 Z4HhnXx
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 16026
Cc: 16026 <at> debbugs.gnu.org, Stefan Monnier <monnier@HIDDEN>,
 Emacs developers <emacs-devel@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

Ted Zlatanov <tzz@HIDDEN> writes:

Hi Ted,

> The way Michael set it up, you have connection profiles ("classes") that
> can be associated with any variables. (For passers-by, see
> `connection-local-set-class-variables', `connection-local-set-classes',
> and `with-connection-local-classes'). Profiles can be overlaid to
> augment each other.
>
> (Michael: maybe it's not too late to change "class" to "profile"
> because the former is so overloaded in our field?)

Well, I've stolen the "class" name from directory-local variables. The
concept of connection-local variables is closed to that of directory-local.

No problem to rename it, if it helps. And sometimes I'm even not sure
whether we need the class/profile concept; it might be even sufficient
to bind variables to connections directly, like variables can be bound
directly to buffers.

> LI> And, like I said, I don't know whether it's the right design choice to
> LI> have these settings be global, or whether they should be passed in
> LI> explicitly from each application.  Would users want to use one set of
> LI> proxies while reading HTML news from Gnus and another when reading from
> LI> eww?  Perhaps?  Perhaps not?
>
> I see. I think the classes should be associated with applications and
> protocols and login names, not just connections. Michael, what do you
> think? That would require changing the identification parameter to
> `connection-local-get-classes' to be an alist or a plist like
> :user U :application X :protocol Y :machine Z

Well, currently a class is bound to a connection via a regexp, which is
used for checking the result of `file-remote-p'. This is good for Tramp,
but it is less good for url-* functionality unless `url-handler-mode' is
enabled, and it does not work for other applications like imap-based
connections.

Your proposal looks OK to me. U, Y and Z shall be regexps, X a symbol
(or also a regexp?). All of them shall be optional.

> Ted

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#16026; Package emacs,gnus. Full text available.

Message received at 16026 <at> debbugs.gnu.org:


Received: (at 16026) by debbugs.gnu.org; 2 Feb 2017 23:59:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 02 18:59:08 2017
Received: from localhost ([127.0.0.1]:54309 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cZRHN-0002Av-00
	for submit <at> debbugs.gnu.org; Thu, 02 Feb 2017 18:59:08 -0500
Received: from mail-oi0-f48.google.com ([209.85.218.48]:35647)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <danieldmcclanahan@HIDDEN>) id 1cZRHI-0002AO-Ck
 for 16026 <at> debbugs.gnu.org; Thu, 02 Feb 2017 18:59:04 -0500
Received: by mail-oi0-f48.google.com with SMTP id j15so2282896oih.2
 for <16026 <at> debbugs.gnu.org>; Thu, 02 Feb 2017 15:59:00 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=v6etIGUIIxDKTstuLS2m0OxswM0rwLtIQ5HBc4oabeU=;
 b=db0LH+9EyClCPjqqiS56MUNw8rh+iTbH17ZB5WJGUHdro/zqpxr+y7DNeRHhqR8Flm
 0sy29GzB7DOhYzYYo+L/a4gLnPxgPP6gqGw0/J5IegpViKSDa6VOTH+47J4Z/gTRskcH
 Eli+eR4qXl4fbrRtdGK0Z6gG/agQimLjqQXLMdmZCG9+uc/E+c+k8VP9+AefLN/+R6AT
 Fbksucxm+ABCBK8eFJ/QW45I+QMaGaCV/807Fthn25cz+VFBPUxdQxUV4FFZO/FHyHpJ
 oMbRhSNnvKUedD4+TflCZRurHrt7aB6uA5DNc84UAX8skl2i1T8bymjzebICt9HiuXGj
 lKEw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=v6etIGUIIxDKTstuLS2m0OxswM0rwLtIQ5HBc4oabeU=;
 b=fokhI1uPJJ8RfAU4+PrJxAIUux26uQbfYgsEcQvQnLZDoUoZIujOOWhQGNZ1jV1GTH
 m7i5F9fJqzeCKqzY5v5zzkbkg4Z7ixiEjNVvmnWX+xyvMIIL6YlUfkDxsRn7mZaaxktB
 g0MuEkYUS663mfAvzaxyOpZtBoj+EVKRsGlpqhtWAsWMOd3/9lJYx5tnstlB4PNtJ9DE
 NIoOlAkd69M18uaSjFkxT13HqNnxtJXRWeDRRcQ2OUNNUgfh219CM8ZLZWbe8Xn5qrw9
 v0kRbRd0hAQKjWr37SlZD+5D3zL/VgImik9OGn/KkrSjXfz3neiVhQ7rRHzOaiMqHNV1
 KyAA==
X-Gm-Message-State: AIkVDXJUh7isOTG/n1hoAARdIc2vKm40qgCfYpeVaPYCWiBLWnegpyiMRpgYY594RSsL0WymFIwH9Ov3ibyRqA==
X-Received: by 10.202.80.77 with SMTP id e74mr5954483oib.156.1486079934733;
 Thu, 02 Feb 2017 15:58:54 -0800 (PST)
MIME-Version: 1.0
Received: by 10.157.23.239 with HTTP; Thu, 2 Feb 2017 15:58:34 -0800 (PST)
In-Reply-To: <m3efzhmf5d.fsf_-_@stories>
References: <mailman.7856.1385996719.10748.bug-gnu-emacs@HIDDEN>
 <86wqjnwa9u.fsf@HIDDEN> <jwvfvqb1bhb.fsf-monnier+emacsbugs@HIDDEN>
 <871u1s38m3.fsf@HIDDEN> <877f5j2i67.fsf@HIDDEN>
 <jwvziif80c1.fsf-monnier+emacsbugs@HIDDEN> <87a8a8paru.fsf@HIDDEN>
 <jwv8tpsi3ah.fsf-monnier+emacsbugs@HIDDEN> <87r33jnvn1.fsf@HIDDEN>
 <87h94fqjq7.fsf@HIDDEN> <m3efzhmf5d.fsf_-_@stories>
From: Daniel McClanahan <danieldmcclanahan@HIDDEN>
Date: Thu, 2 Feb 2017 17:58:34 -0600
Message-ID: <CALuGEhKx0d0Yr8j7ZUGWZbZDO55U4-LtEJoYWyg6Y9ZSbd04fg@HIDDEN>
Subject: Re: Connection specific settings and proxies
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 16026
Cc: 16026 <at> debbugs.gnu.org, Ted Zlatanov <tzz@HIDDEN>,
 Michael Albinus <michael.albinus@HIDDEN>,
 Stefan Monnier <monnier@HIDDEN>,
 Emacs developers <emacs-devel@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

On Wed, Feb 1, 2017 at 9:43 PM, Lars Ingebrigtsen <larsi@HIDDEN> wrote:
> And, like I said, I don't know whether it's the right design choice to have
> these settings be global, or whether they should be passed in explicitly from
> each application.  Would users want to use one set of proxies while reading
> HTML news from Gnus and another when reading from eww?  Perhaps?  Perhaps not?

I'm no expert, but I've often been frustrated by configuration options that
aren't exposed as defcustoms. I think a defcustom of an alist mapping the match
domain to a list/plist of proxy settings would work. If `open-network-stream'
only accepts proxy settings as an argument and Gnus/eww/etc wants to allow
user-specified proxies, it seems each would have to implement its own defcustom
(or some other method) to handle that anyway; configuring these for each package
seems annoying. Callers can use a let binding if they want to override it, which
is about as easy as an argument.

A single global value would make it difficult to have different settings for
different callers. One potential solution is to have an optional "tag" symbol as
part of the proxy settings, which would only use the proxy if the caller
specified the same tag, maybe as a buffer-local variable. So Gnus could set the
tag to 'gnus or something in its mode, and a user could add a proxy entry with
the 'gnus tag. This might be confusing, though.

I don't use proxies too extensively, but something like that would have removed
the need for some hacky defadvice I used to configure my ssh connections on a
corporate network last summer. Just a thought.




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#16026; Package emacs,gnus. Full text available.

Message received at 16026 <at> debbugs.gnu.org:


Received: (at 16026) by debbugs.gnu.org; 2 Feb 2017 14:47:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 02 09:47:15 2017
Received: from localhost ([127.0.0.1]:53896 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cZIfI-0006I8-61
	for submit <at> debbugs.gnu.org; Thu, 02 Feb 2017 09:47:13 -0500
Received: from mail-qt0-f174.google.com ([209.85.216.174]:36834)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tzz@HIDDEN>) id 1cZIfC-0006Hb-NE
 for 16026 <at> debbugs.gnu.org; Thu, 02 Feb 2017 09:47:10 -0500
Received: by mail-qt0-f174.google.com with SMTP id k15so33944959qtg.3
 for <16026 <at> debbugs.gnu.org>; Thu, 02 Feb 2017 06:47:06 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=lifelogs.com; s=google;
 h=from:to:cc:subject:organization:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:user-agent
 :mime-version; bh=vne3cVIxoGQNLmOISi0X+iePfHOZoI4fpY8r3BHIKUU=;
 b=GgtntvS+0bhC52k/mPGoOrasFlWaez1f919rHZ7AxYNe0SOpG///vhTKrx7s8OU60D
 3DZ/hkjPx425uhvnDM8DP5j+cNQ6wr1oedcSRtXxrWSboKPMVuSS76BZmreL8kguIise
 hJ/zb50usWsKMIPVgzgrQu1o6SD75u6SLI93Y=
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:organization:references
 :mail-copies-to:gmane-reply-to-list:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=vne3cVIxoGQNLmOISi0X+iePfHOZoI4fpY8r3BHIKUU=;
 b=KOdR7XlMxpEjIA9WZCoMQTUxVi/BSADutuN6U4TIA4nLjVEY7+rQJG/kCh7GmwObGT
 g/tBXiHi5BsnfQr/IZAtB0UBaY10c6m2SlqK2J7PFUV8m4NL39EjNeqFDmrdw6V+v4Yn
 T/bt6HJ0r07Q/pyo5vqOI3KNrKfGsWsTeYZ2qa9/OYrv5edrLgi6wpCKxmJ6oCyZ6RB+
 ZBHtEN6Zr1yBdxrdqi2+eeX0p975BhtkiIinVlNIcYXWdxn+EldQ5jJls38cwhOdnM73
 ZKfEdxgj12l3oeidbSJsy7bFrsaUk1O7QXjIWCiDAbkMShu3a+OeBKaix07qEXumC7L3
 eg3A==
X-Gm-Message-State: AIkVDXI+aUvWnV3meB0aE9mlySID5dTBk6tJKEhmSfnFB5bfPKDAckVbG5Brzaf6YMCB8w==
X-Received: by 10.200.57.163 with SMTP id v32mr8922367qte.173.1486046820916;
 Thu, 02 Feb 2017 06:47:00 -0800 (PST)
Received: from flea (c-98-229-60-157.hsd1.ma.comcast.net. [98.229.60.157])
 by smtp.gmail.com with ESMTPSA id h62sm6627883qkc.23.2017.02.02.06.46.59
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Thu, 02 Feb 2017 06:47:00 -0800 (PST)
From: Ted Zlatanov <tzz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#16026: Connection specific settings and proxies
Organization: =?utf-8?B?0KLQtdC+0LTQvtGAINCX0LvQsNGC0LDQvdC+0LI=?= @ Cienfuegos
References: <mailman.7856.1385996719.10748.bug-gnu-emacs@HIDDEN>
 <86wqjnwa9u.fsf@HIDDEN>
 <jwvfvqb1bhb.fsf-monnier+emacsbugs@HIDDEN>
 <871u1s38m3.fsf@HIDDEN> <877f5j2i67.fsf@HIDDEN>
 <jwvziif80c1.fsf-monnier+emacsbugs@HIDDEN>
 <87a8a8paru.fsf@HIDDEN>
 <jwv8tpsi3ah.fsf-monnier+emacsbugs@HIDDEN>
 <87r33jnvn1.fsf@HIDDEN> <87h94fqjq7.fsf@HIDDEN>
 <m3efzhmf5d.fsf_-_@stories>
X-Face: bd.DQ~'29fIs`T_%O%C\g%6jW)yi[zuz6;
 d4V0`@y-~$#3P_Ng{@m+e4o<4P'#(_GJQ%TT=
 D}[Ep*b!\e,fBZ'j_+#"Ps?s2!4H2-Y"sx"
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Thu, 02 Feb 2017 09:46:59 -0500
In-Reply-To: <m3efzhmf5d.fsf_-_@stories> (Lars Ingebrigtsen's message of "Thu, 
 02 Feb 2017 04:43:10 +0100")
Message-ID: <87o9ykr6os.fsf@flea>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: 16026
Cc: 16026 <at> debbugs.gnu.org, Michael Albinus <michael.albinus@HIDDEN>,
 Stefan Monnier <monnier@HIDDEN>,
 Emacs developers <emacs-devel@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

On Thu, 02 Feb 2017 04:43:10 +0100 Lars Ingebrigtsen <larsi@HIDDEN> wrote: 

LI> I'm also not sure what level to put the proxies on: Should they be
LI> passed in from the application (i.e., eww, Gnus, etc) or should it be a
LI> global Emacs setting?

LI> If the latter, you could see having a call like

LI> (set-proxy :match-domain ".*\\.foo\\.bar\\'"
LI>            :target-port 443
LI>            :proxy-server "localhost"
LI>            :proxy-port 80
LI>            :method 'connect)

LI> to set up the proxy.  (Well, really, you'd have a mode that would allow
LI> you to tweak the global proxy setup.)

The way Michael set it up, you have connection profiles ("classes") that
can be associated with any variables. (For passers-by, see
`connection-local-set-class-variables', `connection-local-set-classes',
and `with-connection-local-classes'). Profiles can be overlaid to
augment each other.

(Michael: maybe it's not too late to change "class" to "profile"
because the former is so overloaded in our field?)

LI> And, like I said, I don't know whether it's the right design choice to
LI> have these settings be global, or whether they should be passed in
LI> explicitly from each application.  Would users want to use one set of
LI> proxies while reading HTML news from Gnus and another when reading from
LI> eww?  Perhaps?  Perhaps not?

I see. I think the classes should be associated with applications and
protocols and login names, not just connections. Michael, what do you
think? That would require changing the identification parameter to
`connection-local-get-classes' to be an alist or a plist like
:user U :application X :protocol Y :machine Z

I can imagine more criteria in the future, so the identification should
be flexible. This has a pretty big semantic overlap with how auth-source
selects credentials and NSM applies security polity, so I think it makes
sense to absorb those things into the same hierarchy. So IMO this is a
chance to consolidate a lot of disparate code and improve the user
experience.

Then you could have:

"class C1(contains the proxy P1) for IMAP to machines A B C"
"class C2(contains the proxy P2) for everything"
"class C3(contains the proxy P3) for machines B C D"

So IMAP to machine B would get C1/P1, but HTTP to machine B would get
C3/P3 (all the matching classes should be applied in specificity order
so the most specific one wins).

Not all parameters apply everywhere, so we're looking to extract the
truly global ones first: network timeout, proxies, NSM policy, GnuTLS
parameters, auth-source entries.

Ted




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#16026; Package emacs,gnus. Full text available.

Message received at 16026 <at> debbugs.gnu.org:


Received: (at 16026) by debbugs.gnu.org; 2 Feb 2017 03:43:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 01 22:43:22 2017
Received: from localhost ([127.0.0.1]:53738 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cZ8Is-00061S-CL
	for submit <at> debbugs.gnu.org; Wed, 01 Feb 2017 22:43:22 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:57191)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1cZ8Ir-00061L-BF
 for 16026 <at> debbugs.gnu.org; Wed, 01 Feb 2017 22:43:21 -0500
Received: from cm-84.215.1.64.getinternet.no ([84.215.1.64] helo=stories)
 by hermes.netfonds.no with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.84_2) (envelope-from <larsi@HIDDEN>)
 id 1cZ8Ih-0006mI-6K; Thu, 02 Feb 2017 04:43:13 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Connection specific settings and proxies
References: <mailman.7856.1385996719.10748.bug-gnu-emacs@HIDDEN>
 <86wqjnwa9u.fsf@HIDDEN>
 <jwvfvqb1bhb.fsf-monnier+emacsbugs@HIDDEN>
 <871u1s38m3.fsf@HIDDEN> <877f5j2i67.fsf@HIDDEN>
 <jwvziif80c1.fsf-monnier+emacsbugs@HIDDEN>
 <87a8a8paru.fsf@HIDDEN>
 <jwv8tpsi3ah.fsf-monnier+emacsbugs@HIDDEN>
 <87r33jnvn1.fsf@HIDDEN> <87h94fqjq7.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAGFBMVEXe1dRzQVdEDie0kJj2
 7uz79vTq4uDy6ecQbg69AAACb0lEQVQ4jUWUQY7jIBBFkZzxbIN9ApwL2M0o2UZqCNssoHtryd3F
 1lJjc/35Bc4MSYhcj1+/oEjE5l3OMXmDEbxJeBmz0y4CnjIPZ2wICALkuSWAwBqMmE0ZyeS1ZUVZ
 Z5LL5HIyeLJmjxUwem+EFroRNiDj4wW8cSfjvugaHr88Hh9xLR4AP190j7PYm2C3EPYKMD4arZtR
 aMynzfoVaxC1UPjn6YSSRQomWTdXwBszT4cynYnm05oXsIH35svmU07evUAowHmzJjIu2c/MACHr
 MX2mdG9uDodgXN4BUJy1yILIOt1a+Li071UBd8RdbuT4x+BUsjkAm95Pj0ZKOcID70dN5cNDNOMk
 pVL9mByO/R+4az0NspOyl2e226kCu06yG4ZBYlZfxrkXMIuUAwPE5Q2FEVVzB98BqO8gOqNndFTl
 2JjB29BrvWU3txWsKJRzXd4GqftTBbBYm0kWcwCl9S3nqvBoUjVHKiX/gw/dTwUo+YYJYBeCwbvk
 rbGiuyBhBQvAwqAr++Ca1TWTwLCBN1HiFcgrHUDXkg4IUBXbxwGUVAWo31WxPUtJLxvVXYgBqvrh
 k1WqyDrVDWdigku8sALxqbqr6wESn8eADvVsM3R9xJkziAWo8yRLp+Q1HgrSFaylS/1I+wFWXdra
 5wWF6RYHWMAi7romacUke/xm95byodB8QHCXvf5Obo2U9hlg5mbw0HqMJiUi3AUBsGh2x2rErfMO
 mTKxAu2DBh9Bm8V/Qsy4bqwQFYyCEIvI5LCeGzUz0GPL9cO4bUv8lWoUsWx4XpmIouC4EG3meIt/
 HRJ8RQ4wUh1t/ZoF0fIX3JwW2CU5fRQAAAAASUVORK5CYII=
Date: Thu, 02 Feb 2017 04:43:10 +0100
In-Reply-To: <87h94fqjq7.fsf@HIDDEN> (Michael Albinus's message of "Tue, 31
 Jan 2017 17:26:08 +0100")
Message-ID: <m3efzhmf5d.fsf_-_@stories>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16026
Cc: Ted Zlatanov <tzz@HIDDEN>, 16026 <at> debbugs.gnu.org,
 Stefan Monnier <monnier@HIDDEN>,
 Emacs developers <emacs-devel@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Michael Albinus <michael.albinus@HIDDEN> writes:

>> It's easy to create an ad-hoc system just for network timeout
>> parameters, like I did with many GnuTLS parameters early on, but the
>> systematic approach Michael gave us is much better. The only reason I
>> haven't implemented it is lack of time.
>
> If I could help, just ping me. Not that I have too much free time, but
> I'm interested in this.

I was just pondering something that's perhaps related: HTTP proxying in
the with-url branch.

url.el uses an alist on the form ((("http" . "foo.bar:port")
"proxy:port")) or something to determine what connections should be
proxied.  It doesn't support HTTPS proxies (i.e., "CONNECT"), so it's
rather underspecified, if I read the code correctly.

I'm also not sure what level to put the proxies on: Should they be
passed in from the application (i.e., eww, Gnus, etc) or should it be a
global Emacs setting?

If the latter, you could see having a call like

(set-proxy :match-domain ".*\\.foo\\.bar\\'"
           :target-port 443
           :proxy-server "localhost"
           :proxy-port 80
           :method 'connect)

to set up the proxy.  (Well, really, you'd have a mode that would allow
you to tweak the global proxy setup.)

Now, this all kinda ties in with what Ted was talking about: A
per-connection setting thing.  So you could envision doing just the same
with, say, IMAP, if you need to have that be proxied or something, and
then it turns out that the right layer for this stuff is probably in
`open-network-stream': Almost all networking already goes through that
function, so by implementing it there, all clients get automatic proxy
support.

The same mechanism for determining things like lifecycle settings (i.e.,
network timeout parameters) could somehow be squeezed in here.

But I've read the doc for connection-local-set-class-variables, and I
don't quite see how to match up these needs with that mechanism...

And, like I said, I don't know whether it's the right design choice to
have these settings be global, or whether they should be passed in
explicitly from each application.  Would users want to use one set of
proxies while reading HTML news from Gnus and another when reading from
eww?  Perhaps?  Perhaps not?

So many options...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#16026; Package emacs,gnus. Full text available.

Message received at 16026 <at> debbugs.gnu.org:


Received: (at 16026) by debbugs.gnu.org; 31 Jan 2017 16:26:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 31 11:26:30 2017
Received: from localhost ([127.0.0.1]:52405 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cYbGI-0007OJ-MJ
	for submit <at> debbugs.gnu.org; Tue, 31 Jan 2017 11:26:30 -0500
Received: from mout.gmx.net ([212.227.17.22]:58894)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1cYbGG-0007O5-Mw
 for 16026 <at> debbugs.gnu.org; Tue, 31 Jan 2017 11:26:29 -0500
Received: from detlef.gmx.de ([93.197.218.95]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0Lkzph-1c0e182wB3-00ampa; Tue, 31
 Jan 2017 17:26:11 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Ted Zlatanov <tzz@HIDDEN>
Subject: Re: bug#16026: Gnus shouldn't use old connections
References: <mailman.7856.1385996719.10748.bug-gnu-emacs@HIDDEN>
 <86wqjnwa9u.fsf@HIDDEN>
 <jwvfvqb1bhb.fsf-monnier+emacsbugs@HIDDEN>
 <871u1s38m3.fsf@HIDDEN> <877f5j2i67.fsf@HIDDEN>
 <jwvziif80c1.fsf-monnier+emacsbugs@HIDDEN>
 <87a8a8paru.fsf@HIDDEN>
 <jwv8tpsi3ah.fsf-monnier+emacsbugs@HIDDEN>
 <87r33jnvn1.fsf@HIDDEN>
Date: Tue, 31 Jan 2017 17:26:08 +0100
In-Reply-To: <87r33jnvn1.fsf@HIDDEN> (Ted Zlatanov's message of "Tue, 31
 Jan 2017 09:37:06 -0500")
Message-ID: <87h94fqjq7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K0:Rn7QGqDqnwRON6wO7HKPhqU9aOwUlzPcJPu+3cGy4Ajkp3UEcWI
 htQ91kTPEez7OKz6ifZWcWBJj3dOmXyPqWgp1vYytImYurorQQzfewRYb6Big33XcKAF70q
 YC1rT5oCJe/Hs/BRtUxP0JoVGXwdTays8j3ZccngwcEvn6DZne14aKQpLDGkdCNCHY2hpW2
 4vqvAHiUAXla7aGcA5jZQ==
X-UI-Out-Filterresults: notjunk:1;V01:K0:yb8YwGKnu+s=:qUdSgzEB/pgbCInLalsC+L
 EbFAbGoXi9xhbnxdTKTmBRWTkg4KlxyrMhhoTJ08YAiNWt4oLSZtTo0xU6AA7TfdKaJszvSb6
 YJEEzf1p7S4S6Uhf/Hx5Al9RXBUxtfzLfxAd+ViYtO70UdDpMktramEZ3N41WmJRfghtOFmN+
 rEovnvIVC4V6bZ0YViw7iv2lVWpwcqfIewnOfjwOEL/MjToEMWZqnIm511nPoHF8Il4FkboCA
 W8BOtdjjkB110AlnOTFXtLEExvwvC9UOn3Tqfay+smrt+Rs6PujDaEfe8f7+9j/EPBX1Ugp4/
 M9NHw0ZVDQXfTar6UsNtxc/OpbZJVzOW8bC1VuhsOLJqYPJbshC3FeXZAz3M2pPN3bigc81Pi
 CvhhxXy5JFHVj9NEct/dutYxNsLV9mKHGbm8h+wSlmC2AOTDFud/R98kVAfiIOq2eB1WzJuwk
 Wlq8grS4D9irYNQGFhqj4aYkxzPqeQv72B1mjz/na/BxhFoYb+MuuvpQg2hlsxT9PJHU4TD9T
 /wN65oGhk+KzmcT2A0tF6JblNxSvgSfVZ8WU9buQVz/MiRn1ulWAWpALzpxxYYpEwL4qqtZpM
 WVdde+gIDQHuJDXFXtLKv0XkUAXIT/qBcIjIlHw6NLouQHLprMKVEnYQNgvNqZBSCBqxGlUom
 /jfPo67Jl8BSusNUGbHMO7hH3whcwsjaW1uav7/DLEZCXNjil95/TOijtIyVWSzH+hxmfu1tt
 JktBYWbOUtnO8acqEcgeouNIRVjVZyjkbHgIQI3Cgl/az077h2xbdUHI0SQoHqJoOiQO4fBUs
 ODqu+eRzBkr2rVO0I7wWNSPMbog492+8KX7tLVOyamvz6JSrgY+giGMqMFMm3h4djRatZujkD
 KpLJ5VQnH4Cs9U5Chf/ZKg1aHp6FiMUEHLL7YhY787DBESvbMZ9JZc7L0f0DTuMEDZIBXKy4h
 rwCFpxg/iMQKQx5dZWXJX3as1bzAnYjcnBdX3PY4HQb3cOR4lNwWHi6JxKGhgTmldve+uPR1a
 Q+QhhdxifFtg909Lm/JN0Gw=
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 16026
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 16026 <at> debbugs.gnu.org,
 Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

Ted Zlatanov <tzz@HIDDEN> writes:

Hi Ted,

> It's easy to create an ad-hoc system just for network timeout
> parameters, like I did with many GnuTLS parameters early on, but the
> systematic approach Michael gave us is much better. The only reason I
> haven't implemented it is lack of time.

If I could help, just ping me. Not that I have too much free time, but
I'm interested in this.

> Ted

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#16026; Package emacs,gnus. Full text available.

Message received at 16026 <at> debbugs.gnu.org:


Received: (at 16026) by debbugs.gnu.org; 31 Jan 2017 14:37:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 31 09:37:16 2017
Received: from localhost ([127.0.0.1]:51834 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cYZYa-0004gj-Im
	for submit <at> debbugs.gnu.org; Tue, 31 Jan 2017 09:37:16 -0500
Received: from mail-qk0-f180.google.com ([209.85.220.180]:33361)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tzz@HIDDEN>) id 1cYZYY-0004gW-NA
 for 16026 <at> debbugs.gnu.org; Tue, 31 Jan 2017 09:37:15 -0500
Received: by mail-qk0-f180.google.com with SMTP id s140so165897516qke.0
 for <16026 <at> debbugs.gnu.org>; Tue, 31 Jan 2017 06:37:14 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=lifelogs.com; s=google;
 h=from:to:cc:subject:organization:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:user-agent
 :mime-version; bh=ekmHo8eFRVJh3X7ZpqMLMxLptPX3z+GFyZfI70icvlw=;
 b=k304lXHoW+YiepkvH2V3nIxOH8Ot+gwIqbC/SMSM0/Bl5uuf9ML9xxePxH7BT5C/fp
 Nc2N6ARNsHUVXBgzzNtvKVO83CwARZaSBsexegh7pI+st7YYuirf76NDZG45LlV5l0qV
 mdrOE6VvwTLhtSwBheCSGeSWHf29Sa5U0dwTU=
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:organization:references
 :mail-copies-to:gmane-reply-to-list:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=ekmHo8eFRVJh3X7ZpqMLMxLptPX3z+GFyZfI70icvlw=;
 b=stHpCuXbRrszdKPh37gDrwETIuEyU83l0nlOqteolCpwDq/N0Qya4AFE5W7bpfG337
 oHiADT2kVfNfNZsIbqqArT3vxRFSEqtvgP6zFNKwjAS9uZAqidY+DPQ5ulznGRFYsGwU
 mGcmcss36YMtwzfJcTrhqNKgggojMqL+2lag5WuIzGYhcaaLXylFbK6n//iKa+9oiCyY
 9YRY5ibeGB3e5daYyKbsnLO/qA9/HyjV+ijjq+SptQ2IiFuDSxYEaw9vp0n3YF2wS0GM
 h8en4xBq5bDcQnP6/FqQuxXY0lujAd4CtdWf2eFIyLd1b0NQKDvkqLkeQzq9KQBRkuUI
 5shg==
X-Gm-Message-State: AIkVDXIxDO62fO00VE63p8FvX91aWzkWGrJw9NCzpuvXYzYtrw6TI7rLg628p/fgbdF4OQ==
X-Received: by 10.55.6.210 with SMTP id 201mr27365128qkg.51.1485873428997;
 Tue, 31 Jan 2017 06:37:08 -0800 (PST)
Received: from flea (c-98-229-60-157.hsd1.ma.comcast.net. [98.229.60.157])
 by smtp.gmail.com with ESMTPSA id w75sm15455436qkb.26.2017.01.31.06.37.07
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Tue, 31 Jan 2017 06:37:07 -0800 (PST)
From: Ted Zlatanov <tzz@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>,
 Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#16026: Gnus shouldn't use old connections
Organization: =?utf-8?B?0KLQtdC+0LTQvtGAINCX0LvQsNGC0LDQvdC+0LI=?= @ Cienfuegos
References: <mailman.7856.1385996719.10748.bug-gnu-emacs@HIDDEN>
 <86wqjnwa9u.fsf@HIDDEN>
 <jwvfvqb1bhb.fsf-monnier+emacsbugs@HIDDEN>
 <871u1s38m3.fsf@HIDDEN> <877f5j2i67.fsf@HIDDEN>
 <jwvziif80c1.fsf-monnier+emacsbugs@HIDDEN>
 <87a8a8paru.fsf@HIDDEN>
 <jwv8tpsi3ah.fsf-monnier+emacsbugs@HIDDEN>
X-Face: bd.DQ~'29fIs`T_%O%C\g%6jW)yi[zuz6;
 d4V0`@y-~$#3P_Ng{@m+e4o<4P'#(_GJQ%TT=
 D}[Ep*b!\e,fBZ'j_+#"Ps?s2!4H2-Y"sx"
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Tue, 31 Jan 2017 09:37:06 -0500
In-Reply-To: <jwv8tpsi3ah.fsf-monnier+emacsbugs@HIDDEN> (Stefan Monnier's
 message of "Mon, 30 Jan 2017 17:38:22 -0500")
Message-ID: <87r33jnvn1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: 16026
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 16026 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

On Mon, 30 Jan 2017 17:38:22 -0500 Stefan Monnier <monnier@HIDDEN> wrote: 

>> I would make it a per-connection setting using the scheme that Michael
>> Albinus has implemented. Then it can be set per host etc.

SM> Not sure if it's worth the trouble, but as long as I can easily set it
SM> globally, that's fine by me.

SM> PS: For me, the need is global because it is mostly caused by NAT
SM> translation, which hence affects the connections to basically all hosts,
SM> except for the very few which are on the same side of the firewall as
SM> I am.

Yes, that's a common situation. Another is home vs. work connections with
different profiles.

It's easy to create an ad-hoc system just for network timeout
parameters, like I did with many GnuTLS parameters early on, but the
systematic approach Michael gave us is much better. The only reason I
haven't implemented it is lack of time.

Ted




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#16026; Package emacs,gnus. Full text available.

Message received at 16026 <at> debbugs.gnu.org:


Received: (at 16026) by debbugs.gnu.org; 30 Jan 2017 22:38:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 30 17:38:27 2017
Received: from localhost ([127.0.0.1]:51457 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cYKag-0005Xl-S1
	for submit <at> debbugs.gnu.org; Mon, 30 Jan 2017 17:38:27 -0500
Received: from pruche.dit.umontreal.ca ([132.204.246.22]:40773)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1cYKae-0005Xc-US
 for 16026 <at> debbugs.gnu.org; Mon, 30 Jan 2017 17:38:25 -0500
Received: from pastel.home (lechon.iro.umontreal.ca [132.204.27.242])
 by pruche.dit.umontreal.ca (8.14.7/8.14.1) with ESMTP id v0UMcM9T031501;
 Mon, 30 Jan 2017 17:38:22 -0500
Received: by pastel.home (Postfix, from userid 20848)
 id 36740601D6; Mon, 30 Jan 2017 17:38:22 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#16026: Gnus shouldn't use old connections
Message-ID: <jwv8tpsi3ah.fsf-monnier+emacsbugs@HIDDEN>
References: <mailman.7856.1385996719.10748.bug-gnu-emacs@HIDDEN>
 <86wqjnwa9u.fsf@HIDDEN>
 <jwvfvqb1bhb.fsf-monnier+emacsbugs@HIDDEN>
 <871u1s38m3.fsf@HIDDEN> <877f5j2i67.fsf@HIDDEN>
 <jwvziif80c1.fsf-monnier+emacsbugs@HIDDEN>
 <87a8a8paru.fsf@HIDDEN>
Date: Mon, 30 Jan 2017 17:38:22 -0500
In-Reply-To: <87a8a8paru.fsf@HIDDEN> (Ted Zlatanov's message of "Mon, 30
 Jan 2017 15:12:37 -0500")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-NAI-Spam-Flag: NO
X-NAI-Spam-Threshold: 5
X-NAI-Spam-Score: 0
X-NAI-Spam-Rules: 2 Rules triggered
	EDT_SA_DN_PASS=0, RV5935=0
X-NAI-Spam-Version: 2.3.0.9418 : core <5935> : inlines <5667> : streams
 <1730805> : uri <2367871>
X-Spam-Score: -4.5 (----)
X-Debbugs-Envelope-To: 16026
Cc: Sebastien Vauban <sva-news@HIDDEN>, 16026 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.5 (----)

> I would make it a per-connection setting using the scheme that Michael
> Albinus has implemented. Then it can be set per host etc.

Not sure if it's worth the trouble, but as long as I can easily set it
globally, that's fine by me.


        Stefan


PS: For me, the need is global because it is mostly caused by NAT
translation, which hence affects the connections to basically all hosts,
except for the very few which are on the same side of the firewall as
I am.




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#16026; Package emacs,gnus. Full text available.

Message received at 16026 <at> debbugs.gnu.org:


Received: (at 16026) by debbugs.gnu.org; 30 Jan 2017 20:12:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 30 15:12:46 2017
Received: from localhost ([127.0.0.1]:51391 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cYIJh-0001lX-L8
	for submit <at> debbugs.gnu.org; Mon, 30 Jan 2017 15:12:46 -0500
Received: from mail-qt0-f179.google.com ([209.85.216.179]:34282)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tzz@HIDDEN>) id 1cYIJg-0001l5-7E
 for 16026 <at> debbugs.gnu.org; Mon, 30 Jan 2017 15:12:44 -0500
Received: by mail-qt0-f179.google.com with SMTP id w20so146009029qtb.1
 for <16026 <at> debbugs.gnu.org>; Mon, 30 Jan 2017 12:12:44 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=lifelogs.com; s=google;
 h=from:to:cc:subject:organization:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:user-agent
 :mime-version; bh=82y3OGYKK0b88hkLtA/XW7plgjl0trBnRUuA7t9DDHA=;
 b=A66qzHGWu1BnA2+yUKd1j2wxqOK7JLWQQPBNEILrMakl8Hog0/wbqXuNBH5SHlnuhF
 2RW6vepcw5P01DhKjjgOhDwFYDg3mcHdDPcZUxOs/M2Zq3Ve99htBzMBvEsmGVXP86ze
 GSPu+cWTzmumYJBfRQeYfjhA7DoENiFeCU4H8=
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:organization:references
 :mail-copies-to:gmane-reply-to-list:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=82y3OGYKK0b88hkLtA/XW7plgjl0trBnRUuA7t9DDHA=;
 b=pFZLq2ukm8iKkVj8BrlMqAy+y8gsQlqWErjGlmqrbAowPjpzkpskS8s960cxG9KABZ
 Q6plXNshpNb5Z5R3XGw9ASqu0FHebKi7Q38yT+SIqC0fsmxwtzhsjNgq+tUy3PTw93v8
 20tLVXYTLbxsA+kOGo/rGYWVD78PsoECjnhgk46fm5zpIhs8wJdTbf+/ZYFlsQvrUBqI
 E96Ra7GUAVTY72nylz7bSBKw/4KQnREhhuafKHNlUT24VRnfYnNmhd+vt3mRfbTBK38Q
 6YUObxez0WXC6ZxCjyxJn/2de/V2fN2/kOAqPoznDd3EBTLEdjgiGYRTPZTVTXwrlDxS
 gpiA==
X-Gm-Message-State: AIkVDXJ14nz8Hyo0vowFMg0VaibtvfP7goLcsOIBd63TEjhP0oguAkTYSW2syu5Z0Cnexg==
X-Received: by 10.237.36.12 with SMTP id r12mr20826037qtc.32.1485807158502;
 Mon, 30 Jan 2017 12:12:38 -0800 (PST)
Received: from flea (c-98-229-60-157.hsd1.ma.comcast.net. [98.229.60.157])
 by smtp.gmail.com with ESMTPSA id l51sm13193632qtb.13.2017.01.30.12.12.37
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 30 Jan 2017 12:12:37 -0800 (PST)
From: Ted Zlatanov <tzz@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#16026: Gnus shouldn't use old connections
Organization: =?utf-8?B?0KLQtdC+0LTQvtGAINCX0LvQsNGC0LDQvdC+0LI=?= @ Cienfuegos
References: <mailman.7856.1385996719.10748.bug-gnu-emacs@HIDDEN>
 <86wqjnwa9u.fsf@HIDDEN>
 <jwvfvqb1bhb.fsf-monnier+emacsbugs@HIDDEN>
 <871u1s38m3.fsf@HIDDEN> <877f5j2i67.fsf@HIDDEN>
 <jwvziif80c1.fsf-monnier+emacsbugs@HIDDEN>
X-Face: bd.DQ~'29fIs`T_%O%C\g%6jW)yi[zuz6;
 d4V0`@y-~$#3P_Ng{@m+e4o<4P'#(_GJQ%TT=
 D}[Ep*b!\e,fBZ'j_+#"Ps?s2!4H2-Y"sx"
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Mon, 30 Jan 2017 15:12:37 -0500
In-Reply-To: <jwvziif80c1.fsf-monnier+emacsbugs@HIDDEN> (Stefan Monnier's
 message of "Wed, 25 Jan 2017 13:26:04 -0500")
Message-ID: <87a8a8paru.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: 16026
Cc: Sebastien Vauban <sva-news@HIDDEN>,
 Lars Ingebrigtsen <larsi@HIDDEN>, 16026 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

On Wed, 25 Jan 2017 13:26:04 -0500 Stefan Monnier <monnier@HIDDEN> wrote: 

>> There is `nntp-connection-timeout', and nnimap could have something
>> similar, I guess.

>> The difficulty is in determining what a good timeout should be.  If you
>> send an EXPUNGE to an IMAP server, it may legitimately take many
>> seconds, and you get no output from the server while it's doing this.
>> If you kill the connection and reissue the commands, you then get error
>> messages, I think?

SM> I think in my case a timeout of 30min would cover the main cases already
SM> (i.e. the machine was suspended for more than 30min).

I would make it a per-connection setting using the scheme that Michael
Albinus has implemented. Then it can be set per host etc.

Ted




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#16026; Package emacs,gnus. Full text available.

Message received at 16026 <at> debbugs.gnu.org:


Received: (at 16026) by debbugs.gnu.org; 25 Jan 2017 18:26:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 25 13:26:10 2017
Received: from localhost ([127.0.0.1]:43294 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cWSGo-0001Zl-9J
	for submit <at> debbugs.gnu.org; Wed, 25 Jan 2017 13:26:10 -0500
Received: from chene.dit.umontreal.ca ([132.204.246.20]:52202)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1cWSGl-0001ZZ-C7
 for 16026 <at> debbugs.gnu.org; Wed, 25 Jan 2017 13:26:08 -0500
Received: from pastel.home (lechon.iro.umontreal.ca [132.204.27.242])
 by chene.dit.umontreal.ca (8.14.7/8.14.1) with ESMTP id v0PIQ491003701;
 Wed, 25 Jan 2017 13:26:05 -0500
Received: by pastel.home (Postfix, from userid 20848)
 id A0A5060360; Wed, 25 Jan 2017 13:26:04 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#16026: Gnus shouldn't use old connections
Message-ID: <jwvziif80c1.fsf-monnier+emacsbugs@HIDDEN>
References: <mailman.7856.1385996719.10748.bug-gnu-emacs@HIDDEN>
 <86wqjnwa9u.fsf@HIDDEN>
 <jwvfvqb1bhb.fsf-monnier+emacsbugs@HIDDEN>
 <871u1s38m3.fsf@HIDDEN> <877f5j2i67.fsf@HIDDEN>
Date: Wed, 25 Jan 2017 13:26:04 -0500
In-Reply-To: <877f5j2i67.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 25 Jan 2017 17:55:28 +0100")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-NAI-Spam-Flag: NO
X-NAI-Spam-Threshold: 5
X-NAI-Spam-Score: 0
X-NAI-Spam-Rules: 2 Rules triggered
	EDT_SA_DN_PASS=0, RV5931=0
X-NAI-Spam-Version: 2.3.0.9418 : core <5931> : inlines <5652> : streams
 <1730633> : uri <2364188>
X-Spam-Score: -4.5 (----)
X-Debbugs-Envelope-To: 16026
Cc: Sebastien Vauban <sva-news@HIDDEN>, 16026 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.5 (----)

> There is `nntp-connection-timeout', and nnimap could have something
> similar, I guess.

> The difficulty is in determining what a good timeout should be.  If you
> send an EXPUNGE to an IMAP server, it may legitimately take many
> seconds, and you get no output from the server while it's doing this.
> If you kill the connection and reissue the commands, you then get error
> messages, I think?

I think in my case a timeout of 30min would cover the main cases already
(i.e. the machine was suspended for more than 30min).


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#16026; Package emacs,gnus. Full text available.
Forcibly Merged 16026 16906. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 16026 <at> debbugs.gnu.org:


Received: (at 16026) by debbugs.gnu.org; 25 Jan 2017 16:56:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 25 11:56:40 2017
Received: from localhost ([127.0.0.1]:43049 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cWQsC-0007dc-CF
	for submit <at> debbugs.gnu.org; Wed, 25 Jan 2017 11:56:40 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:41496)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1cWQs9-0007dS-Fy
 for 16026 <at> debbugs.gnu.org; Wed, 25 Jan 2017 11:56:38 -0500
Received: from 2.150.50.220.tmi.telenormobil.no ([2.150.50.220] helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.84_2) (envelope-from <larsi@HIDDEN>)
 id 1cWQs5-0006ur-N8; Wed, 25 Jan 2017 17:56:36 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#16026: Gnus shouldn't use old connections
In-Reply-To: <871u1s38m3.fsf@HIDDEN> (Ted Zlatanov's message of
 "Wed, 04 Dec 2013 11:04:52 -0500")
Date: Wed, 25 Jan 2017 17:55:28 +0100
Message-ID: <877f5j2i67.fsf@HIDDEN>
References: <mailman.7856.1385996719.10748.bug-gnu-emacs@HIDDEN>
 <86wqjnwa9u.fsf@HIDDEN>
 <jwvfvqb1bhb.fsf-monnier+emacsbugs@HIDDEN>
 <871u1s38m3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16026
Cc: Sebastien Vauban <sva-news@HIDDEN>, 16026 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Ted Zlatanov <tzz@HIDDEN> writes:

> On Mon, 02 Dec 2013 11:12:20 -0500 Stefan Monnier <monnier@HIDDEN> wrote: 
>
>>>> Gnus should consider a connection as dead if it has been idle for more
>>>> than some timeout value (e.g. 5 minutes).  This bites me every day when
>>>> I wake up my computer: if I just hit `g' to refresh the *Group* buffer,
>>>> it *always* hangs (I guess it would timeout but only after a long wait,
>>>> like 2h).  Instead, I have to go to *Server*, close each server, go back
>>>> to *Group* and then hit `g'.

[...]

> In the Gnus mailing list we discussed an easy solution (just close all
> server connections before `g') but providing that as a user-level
> defcustom feels like giving up.  See http://thread.gmane.org/gmane.emacs.gnus.general/80262/focus=83843
>
> I suggested waiting for Lars' opinion.

There is `nntp-connection-timeout', and nnimap could have something
similar, I guess.

The difficulty is in determining what a good timeout should be.  If you
send an EXPUNGE to an IMAP server, it may legitimately take many
seconds, and you get no output from the server while it's doing this.
If you kill the connection and reissue the commands, you then get error
messages, I think?

But issuing EXPUNGE as the first thing after you haven't used a
connection in a while is unusual.  What usually happens is that you
enter an IMAP group, read a few messages, then your ISP decides that you
should change your IP number, and then you hit `q' which will normally
issue a marks updating command.  That should normally give a response
within a reasonable time.

If a command like that takes more than a few seconds, then we should
probably reconnect...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#16026; Package emacs,gnus. Full text available.

Message received at 16026 <at> debbugs.gnu.org:


Received: (at 16026) by debbugs.gnu.org; 4 Dec 2013 16:03:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 04 11:03:56 2013
Received: from localhost ([127.0.0.1]:58139 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VoEvb-0000ew-Ht
	for submit <at> debbugs.gnu.org; Wed, 04 Dec 2013 11:03:55 -0500
Received: from mail-qc0-f169.google.com ([209.85.216.169]:38725)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <tzz@HIDDEN>) id 1VoEvW-0000ek-HA
 for 16026 <at> debbugs.gnu.org; Wed, 04 Dec 2013 11:03:51 -0500
Received: by mail-qc0-f169.google.com with SMTP id r5so3710777qcx.28
 for <16026 <at> debbugs.gnu.org>; Wed, 04 Dec 2013 08:03:49 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=lifelogs.com; s=google;
 h=from:to:cc:subject:organization:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:user-agent
 :mime-version:content-type;
 bh=lZSuP1go8zozaAyfUF9ssI7bZ/72iY7hrEocedxjmn0=;
 b=FNMmA9XTlEqoaX5/pINdGL06aZeLhuvdstITt+wbUsgegB0qymV9kKoDMwKzfTalTR
 pH36KJ1f3J1CGzQwOyipYEJ0Ss/VKtplNuA0MtO35X7jnlO2diFpMRuPvfij/JFelmLF
 0Cwm7ZCcACeZVjmNRGloF8JptnsaHTAPVHkXY=
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:to:cc:subject:organization:references
 :mail-copies-to:gmane-reply-to-list:date:in-reply-to:message-id
 :user-agent:mime-version:content-type;
 bh=lZSuP1go8zozaAyfUF9ssI7bZ/72iY7hrEocedxjmn0=;
 b=DnT0+QAVtJ4mAer/sCsoc+av1/Dx119e3Sa7sM63bR5DRNMbOro0YWwl5z0QG0RR03
 Qy9usbr1DTPAgvYVJjTfP1dBFbca9DlEZ1wf4Yw9UkD7UuGBKk9uYXlyND78Cgjy9xBu
 Upbb413/hxJq2o8VqAUnis/IrWtj+gQcby652HFAdRtxFjGYBAXkYHlDlZhiuQHEbOyM
 TE8E3jkkVye0yobqcCMNY9CmTkiBfPqSWYlP7FCDy3i8i0xJi7W2KrCFo2TNLF2UiF9G
 JKMupVmaj2J0L+N16itArf3rPnh2yxoYGLtgQzmodzgPk8K4JagELhqt/HocHSkrEwIb
 XvbQ==
X-Gm-Message-State: ALoCoQnqjC52wLVqPw8vm/+obxrssfVCYXmKJsTBUkQ2oKFl8RrTA6Cc1cO1XuuOhyO+lHaXtE2r
X-Received: by 10.49.36.161 with SMTP id r1mr133711459qej.4.1386173029791;
 Wed, 04 Dec 2013 08:03:49 -0800 (PST)
Received: from flea.lifelogs.com (c-98-229-61-72.hsd1.ma.comcast.net.
 [98.229.61.72])
 by mx.google.com with ESMTPSA id i7sm18900496qeo.7.2013.12.04.08.03.48
 for <multiple recipients>
 (version=TLSv1.2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 04 Dec 2013 08:03:49 -0800 (PST)
From: Ted Zlatanov <tzz@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>,
 Lars Magne Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#16026: Gnus shouldn't use old connections
Organization: =?utf-8?B?0KLQtdC+0LTQvtGAINCX0LvQsNGC0LDQvdC+0LI=?= @ Cienfuegos
References: <mailman.7856.1385996719.10748.bug-gnu-emacs@HIDDEN>
 <86wqjnwa9u.fsf@HIDDEN>
 <jwvfvqb1bhb.fsf-monnier+emacsbugs@HIDDEN>
X-Face: bd.DQ~'29fIs`T_%O%C\g%6jW)yi[zuz6;
 d4V0`@y-~$#3P_Ng{@m+e4o<4P'#(_GJQ%TT=
 D}[Ep*b!\e,fBZ'j_+#"Ps?s2!4H2-Y"sx"
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Wed, 04 Dec 2013 11:04:52 -0500
In-Reply-To: <jwvfvqb1bhb.fsf-monnier+emacsbugs@HIDDEN> (Stefan Monnier's
 message of "Mon, 02 Dec 2013 11:12:20 -0500")
Message-ID: <871u1s38m3.fsf@HIDDEN>
User-Agent: Gnus/5.130008 (Ma Gnus v0.8) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 16026
Cc: Sebastien Vauban <sva-news@HIDDEN>, 16026 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Mon, 02 Dec 2013 11:12:20 -0500 Stefan Monnier <monnier@HIDDEN> wrote: 

>>> Gnus should consider a connection as dead if it has been idle for more
>>> than some timeout value (e.g. 5 minutes).  This bites me every day when
>>> I wake up my computer: if I just hit `g' to refresh the *Group* buffer,
>>> it *always* hangs (I guess it would timeout but only after a long wait,
>>> like 2h).  Instead, I have to go to *Server*, close each server, go back
>>> to *Group* and then hit `g'.
>> Weird. I do the same as you, or almost [1], and don't have that problem.

SM> Of course, the occurrence of my particular problem depends on various
SM> factors, such as whether you get the same IP address when you wake up,
SM> whether you're in the same network when you wake up, whether you're
SM> behind a NAT, how long the NAT router remembers connections, whether the
SM> NAT router's own IP has changed, ...

In the Gnus mailing list we discussed an easy solution (just close all
server connections before `g') but providing that as a user-level
defcustom feels like giving up.  See http://thread.gmane.org/gmane.emacs.gnus.general/80262/focus=83843

I suggested waiting for Lars' opinion.

Ted




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#16026; Package emacs,gnus. Full text available.

Message received at 16026 <at> debbugs.gnu.org:


Received: (at 16026) by debbugs.gnu.org; 2 Dec 2013 16:12:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 02 11:12:29 2013
Received: from localhost ([127.0.0.1]:54851 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VnW6m-0003Rw-By
	for submit <at> debbugs.gnu.org; Mon, 02 Dec 2013 11:12:28 -0500
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:32246)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1VnW6k-0003Rj-Bp
 for 16026 <at> debbugs.gnu.org; Mon, 02 Dec 2013 11:12:27 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Av4EABK/CFFFpY5e/2dsb2JhbABEvw4Xc4IeAQEEAVYjEAsOJhIUGA0kiB4GwS2RCgOIYZwZgV6DFQ
X-IPAS-Result: Av4EABK/CFFFpY5e/2dsb2JhbABEvw4Xc4IeAQEEAVYjEAsOJhIUGA0kiB4GwS2RCgOIYZwZgV6DFQ
X-IronPort-AV: E=Sophos;i="4.84,565,1355115600"; d="scan'208";a="40911901"
Received: from 69-165-142-94.dsl.teksavvy.com (HELO pastel.home)
 ([69.165.142.94])
 by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
 02 Dec 2013 11:12:21 -0500
Received: by pastel.home (Postfix, from userid 20848)
 id C580962D4B; Mon,  2 Dec 2013 11:12:20 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: "Sebastien Vauban" <sva-news@HIDDEN>
Subject: Re: bug#16026: Gnus shouldn't use old connections
Message-ID: <jwvfvqb1bhb.fsf-monnier+emacsbugs@HIDDEN>
References: <mailman.7856.1385996719.10748.bug-gnu-emacs@HIDDEN>
 <86wqjnwa9u.fsf@HIDDEN>
Date: Mon, 02 Dec 2013 11:12:20 -0500
In-Reply-To: <86wqjnwa9u.fsf@HIDDEN> (Sebastien Vauban's message of
 "Mon, 02 Dec 2013 16:19:25 +0100")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 16026
Cc: 16026 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

>> Gnus should consider a connection as dead if it has been idle for more
>> than some timeout value (e.g. 5 minutes).  This bites me every day when
>> I wake up my computer: if I just hit `g' to refresh the *Group* buffer,
>> it *always* hangs (I guess it would timeout but only after a long wait,
>> like 2h).  Instead, I have to go to *Server*, close each server, go back
>> to *Group* and then hit `g'.
> Weird. I do the same as you, or almost [1], and don't have that problem.

Of course, the occurrence of my particular problem depends on various
factors, such as whether you get the same IP address when you wake up,
whether you're in the same network when you wake up, whether you're
behind a NAT, how long the NAT router remembers connections, whether the
NAT router's own IP has changed, ...


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16026; Package emacs. Full text available.

Message received at 16026 <at> debbugs.gnu.org:


Received: (at 16026) by debbugs.gnu.org; 2 Dec 2013 15:53:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 02 10:53:29 2013
Received: from localhost ([127.0.0.1]:54814 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VnVoO-0002yC-TG
	for submit <at> debbugs.gnu.org; Mon, 02 Dec 2013 10:53:29 -0500
Received: from mail-pb0-f46.google.com ([209.85.160.46]:61924)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <sdl.web@HIDDEN>) id 1VnVoM-0002xz-Pq
 for 16026 <at> debbugs.gnu.org; Mon, 02 Dec 2013 10:53:27 -0500
Received: by mail-pb0-f46.google.com with SMTP id md12so19237522pbc.19
 for <16026 <at> debbugs.gnu.org>; Mon, 02 Dec 2013 07:53:20 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:references:face:date:in-reply-to:message-id
 :user-agent:mime-version:content-type;
 bh=SO45EQ06+9lTtINEaDABThQ24gtFCYotcLOdv9vnZbM=;
 b=fC72qMuQBBtO45AtksFi83mElu8tn3zXGszRkU0iZEqMT1hO1FAicPK0Cv9j6ravvQ
 W+KDzGTD4rnlmmWy4cCV9A4ZJ1ELSq9UT/8GjEcroYPSMBN7L4a23Dw9AXipOweNMgLr
 qOnfFXfIdUq2/XqSJcVg6XgOJbprLdpKXeFFSXvOY/vWdfPdnZfafSVuCaDh4WG3/dea
 3XrhCnJ9bDy6S5jnLttZ3xaG0WyaDdpeL4zqKerz3CEOibyO0jmIp0DbH2D06yP+nHrQ
 q9px8vTDA5Naj2rjulSVLyDbiuo/1jgVEcqjHrelwABqQDD7wuR9qNTCwZ9K4Y7claVO
 HrPQ==
X-Received: by 10.68.222.225 with SMTP id qp1mr32440659pbc.41.1385999600495;
 Mon, 02 Dec 2013 07:53:20 -0800 (PST)
Received: from Zeuss-MacBook.local ([123.119.93.169])
 by mx.google.com with ESMTPSA id xn12sm90412998pac.12.2013.12.02.07.53.16
 for <multiple recipients>
 (version=TLSv1.2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 02 Dec 2013 07:53:18 -0800 (PST)
From: Leo Liu <sdl.web@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#16026: Gnus shouldn't use old connections
References: <jwvob4z2tcs.fsf-monnier+@gnu.org>
Face: iVBORw0KGgoAAAANSUhEUgAAACgAAAAoBAMAAAB+0KVeAAAAGFBMVEUzRVhbQj4eZqO6SjnT
 eWpxnMetm5b6/PmidmqrAAAAAWJLR0QAiAUdSAAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1F
 B9cBBwMLBfKABCMAAAFoSURBVCjPtZI9a8MwEIaFoc7aYDdelQMna0Em3tsSr0XUeE2Q6a22a+v+
 fk8fSSBkbDUI6dHpfe9OEvRgiD+ApqKPJgJeB6iUUXWESjUe/ig38AJrhqqvaU2nTIXbNvOQ40fe
 qdry4kyGoVWsfCQalXpHnJGM01wjWdYbMlXNFdsZDO69m9aqNqxEJqTEgbM5OF7wlEfIoll1Ked4
 LbM5X2EdILLokEdmI8z7g5cKED0cuTC930TYhy7ZDekkXVGw/L60TguJePPxcJF48lpsSUWEA/Ju
 jGFNgJOXc4Hz7TmAdBeu5Ve4AEjOi2/2jfd3cAJZ+IbNrvdjgBZY01b+HTuG3cLws6BJZqVOj/pp
 T0OqVwx3rFq+QmJwx3loK5JSLEhDIt62+mtC2C+SrAUxEbV6C6v2BRbd6pILBKFpepKZJHgGgrKF
 sptSUUoczpwg2pQ7ZH1tgs0ou/917mzz6Cs2//C978cv5l07L02orIEAAAAASUVORK5CYII=
Date: Mon, 02 Dec 2013 23:53:08 +0800
In-Reply-To: <jwvob4z2tcs.fsf-monnier+@gnu.org> (Stefan Monnier's message of
 "Mon, 02 Dec 2013 10:03:44 -0500")
Message-ID: <m14n6rl063.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3 (OS X 10.9)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 16026
Cc: 16026 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On 2013-12-02 23:03 +0800, Stefan Monnier wrote:
> Gnus should consider a connection as dead if it has been idle for more
> than some timeout value (e.g. 5 minutes).  This bites me every day when
> I wake up my computer: if I just hit `g' to refresh the *Group* buffer,
> it *always* hangs (I guess it would timeout but only after a long wait,
> like 2h).  Instead, I have to go to *Server*, close each server, go back
> to *Group* and then hit `g'.

This also bugs me everyday (I am mostly using Emacs 24.3).

Leo




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16026; Package emacs. Full text available.

Message received at 16026 <at> debbugs.gnu.org:


Received: (at 16026) by debbugs.gnu.org; 2 Dec 2013 15:20:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 02 10:20:12 2013
Received: from localhost ([127.0.0.1]:54793 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VnVIB-000264-Pe
	for submit <at> debbugs.gnu.org; Mon, 02 Dec 2013 10:20:12 -0500
Received: from dd5e0353a.access.telenet.be ([213.224.53.58]:39831
 helo=mail.missioncriticalit.com)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <sva-news@HIDDEN>) id 1VnVI9-00025q-2D
 for 16026 <at> debbugs.gnu.org; Mon, 02 Dec 2013 10:20:09 -0500
Received: from MUNDANEUM.i-did-not-set--mail-host-address--so-tickle-me
 (unknown [10.10.4.62])
 by mail.missioncriticalit.com (Postfix) with ESMTPS id E261C500747;
 Mon,  2 Dec 2013 16:22:39 +0100 (CET)
From: "Sebastien Vauban" <sva-news@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#16026: Gnus shouldn't use old connections
Organization: Sebastien Vauban
References: <mailman.7856.1385996719.10748.bug-gnu-emacs@HIDDEN>
X-Url: Under construction...
X-Archive: encrypt
Date: Mon, 02 Dec 2013 16:19:25 +0100
In-Reply-To: <mailman.7856.1385996719.10748.bug-gnu-emacs@HIDDEN> (Stefan
 Monnier's message of "Mon, 02 Dec 2013 10:03:44 -0500")
Message-ID: <86wqjnwa9u.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 16026
Cc: 16026 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.7 (/)

Stefan Monnier wrote:
> Package: Emacs
> Version: 24.3.50
>
> Gnus should consider a connection as dead if it has been idle for more
> than some timeout value (e.g. 5 minutes).  This bites me every day when
> I wake up my computer: if I just hit `g' to refresh the *Group* buffer,
> it *always* hangs (I guess it would timeout but only after a long wait,
> like 2h).  Instead, I have to go to *Server*, close each server, go back
> to *Group* and then hit `g'.

Weird. I do the same as you, or almost [1], and don't have that problem.

Best regards,
  Seb

[1] When I'm closing the lid, the computer is put to "sleep" (not "hibernate").
And, every night, I switch the mains off for the computer room.

-- 
Sebastien Vauban




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16026; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Dec 2013 15:04:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 02 10:04:15 2013
Received: from localhost ([127.0.0.1]:54782 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VnV2j-0001i3-Up
	for submit <at> debbugs.gnu.org; Mon, 02 Dec 2013 10:04:14 -0500
Received: from eggs.gnu.org ([208.118.235.92]:45550)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1VnV2h-0001hj-Gk
 for submit <at> debbugs.gnu.org; Mon, 02 Dec 2013 10:04:12 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <monnier@HIDDEN>) id 1VnV2V-0005BF-3M
 for submit <at> debbugs.gnu.org; Mon, 02 Dec 2013 10:04:06 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:35978)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <monnier@HIDDEN>) id 1VnV2V-0005B8-0e
 for submit <at> debbugs.gnu.org; Mon, 02 Dec 2013 10:03:59 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:47235)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <monnier@HIDDEN>) id 1VnV2O-0007mx-Nt
 for bug-gnu-emacs@HIDDEN; Mon, 02 Dec 2013 10:03:58 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <monnier@HIDDEN>) id 1VnV2I-00059j-Hg
 for bug-gnu-emacs@HIDDEN; Mon, 02 Dec 2013 10:03:52 -0500
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:55091)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <monnier@HIDDEN>) id 1VnV2I-00059a-Aa
 for bug-gnu-emacs@HIDDEN; Mon, 02 Dec 2013 10:03:46 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AjgIABK/CFFFpY5e/2dsb2JhbABErF0BikSHbBdzgkwvEwFaBD4NVYdzoAuhIo0fRIMnA4hhnBmBXoMVgVE
X-IPAS-Result: AjgIABK/CFFFpY5e/2dsb2JhbABErF0BikSHbBdzgkwvEwFaBD4NVYdzoAuhIo0fRIMnA4hhnBmBXoMVgVE
X-IronPort-AV: E=Sophos;i="4.84,565,1355115600"; d="scan'208";a="40904297"
Received: from 69-165-142-94.dsl.teksavvy.com (HELO pastel.home)
 ([69.165.142.94])
 by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
 02 Dec 2013 10:03:45 -0500
Received: by pastel.home (Postfix, from userid 20848)
 id D72B262D4B; Mon,  2 Dec 2013 10:03:44 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Gnus shouldn't use old connections
Message-ID: <jwvob4z2tcs.fsf-monnier+@gnu.org>
Date: Mon, 02 Dec 2013 10:03:44 -0500
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

Package: Emacs
Version: 24.3.50


Gnus should consider a connection as dead if it has been idle for more
than some timeout value (e.g. 5 minutes).  This bites me every day when
I wake up my computer: if I just hit `g' to refresh the *Group* buffer,
it *always* hangs (I guess it would timeout but only after a long wait,
like 2h).  Instead, I have to go to *Server*, close each server, go back
to *Group* and then hit `g'.


        Stefan




In GNU Emacs 24.3.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.24.22)
 of 2013-11-22 on pastel
Bzr revision: monnier@HIDDEN
Windowing system distributor `The X.Org Foundation', version 11.0.11204000
System Description:	Debian GNU/Linux testing (jessie)

Configured using:
 `configure -C --enable-checking --enable-check-lisp-object-type
 'CFLAGS=-Wall -g3 -O0 -Wno-pointer-sign''

Important settings:
  value of $LANG: fr_CH.UTF-8
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Group

Minor modes in effect:
  shell-dirtrack-mode: t
  diff-auto-refine-mode: t
  gnus-undo-mode: t
  electric-pair-mode: t
  electric-indent-mode: t
  url-handler-mode: t
  global-reveal-mode: t
  reveal-mode: t
  auto-insert-mode: t
  savehist-mode: t
  minibuffer-electric-default-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
n C-a <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> d C-e , SPC 
o r SPC <M-backspace> <backspace> <backspace> ? <return> 
<return> <return> M-i S t e f a n C-c C-c <switch-frame> 
<switch-frame> <select-window> <select-window> n k 
k q s <return> <return> SPC n n l l n <return> <return> 
<return> <return> <return> <return> <return> <return> 
<return> <return> <return> <return> <return> <return> 
<return> <return> <return> <return> <return> n <select-window> 
<select-window> <help-echo> SPC k q s <return> k q 
s <return> <select-window> <switch-frame> <down-mouse-1> 
<mouse-movement> <mouse-1> C-SPC C-e M-w <switch-frame> 
<help-echo> <select-window> <select-window> <switch-frame> 
<down-mouse-1> <mouse-movement> <mouse-1> SPC w i t 
h SPC m i n o r SPC t w e k a s <backspace> <backspace> 
<backspace> a k s SPC <backspace> , <backspace> SPC 
( m o s t SPC i m p o r t a <M-backspace> v i s i b 
l y , SPC u s i n g SPC " v " SPC r a t h e r SPC t 
h s n SPC <backspace> <backspace> <backspace> a n SPC 
" t C-e . C-c C-c M-> q s <down> <down> <down> <down> 
<down> <down> <down> <return> <return> <select-window> 
<select-window> <help-echo> SPC n n q s n n n n n n 
n n <return> <return> q s <return> <return> <help-echo> 
<select-window> <help-echo> <help-echo> <down-mouse-2> 
<mouse-1> <help-echo> <help-echo> <select-window> <help-echo> 
n <help-echo> <select-window> <select-window> <help-echo> 
n k <help-echo> <select-window> <help-echo> <down-mouse-2> 
<mouse-1> <help-echo> <help-echo> <select-window> <select-window> 
<help-echo> q s <help-echo> <select-window> <help-echo> 
<select-window> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> M-x g n - e 
m - b u g <tab> <return> C-g M-x r e - e m - b u <tab> 
<return>

Recent messages:
Saving /home/monnier/var/newsrc.eld...done
Opening nntp server on gwene...done
Saving /home/monnier/var/newsrc.eld...
Saving file /home/monnier/var/newsrc.eld...
Wrote /home/monnier/var/newsrc.eld
Saving /home/monnier/var/newsrc.eld...done
Saving /home/monnier/var/newsrc.eld...
Saving file /home/monnier/var/newsrc.eld...
Wrote /home/monnier/var/newsrc.eld
Saving /home/monnier/var/newsrc.eld...done
Quit [2 times]

Load-path shadows:
/home/monnier/src/emacs/elpa/packages/company/.dir-locals hides /home/monnier/src/emacs/elpa/packages/js2-mode/.dir-locals
/home/monnier/src/emacs/elpa/packages/company/.dir-locals hides /home/monnier/src/emacs/work/lisp/gnus/.dir-locals

Features:
(shadow emacsbug smerge-mode iso-transl vc-sccs vc-svn vc-cvs vc-rcs vc
vc-dispatcher vc-bzr rect nndoc shell pcomplete comint ring url-http
url-gw url-auth url-queue woman tutorial man info-look help-macro
help-at-pt ehelp apropos canlock pp debug footnote cus-edit cus-start
cus-load dabbrev diff-mode jka-compr gnus-fun supercite regi nnir
shr-color color shr gnus-dup misearch multi-isearch nnagent nnml
executable copyright flow-fill mm-archive gnus-html browse-url xml
url-cache mm-url url url-proxy url-privacy url-expand url-methods
url-history url-cookie url-domsuf url-util mule-util sort smiley
ansi-color gnus-cite mail-extr gnus-bcklg gnus-async qp gnus-ml nnfolder
utf-7 nndraft nnmh rfc2104 gnutls network-stream starttls nnimap
parse-time tls utf7 netrc nnnil gnus-agent gnus-srvr gnus-score
score-mode nnvirtual gnus-msg gnus-art mm-uu mml2015 epg-config mm-view
mml-smime smime dig mailcap nntp gnus-cache gnus-sum nnoo gnus-group
gnus-undo nnmail mail-source server gnus-start gnus-spec gnus-int
gnus-range message sendmail format-spec rfc822 mml mml-sec mm-decode
mm-bodies mm-encode mail-parse rfc2231 rfc2047 rfc2045 ietf-drums
mailabbrev gmm-utils mailheader gnus-win gnus gnus-ems nnheader
mail-utils wid-edit noutline outline easy-mmode flyspell ispell eldoc
checkdoc thingatpt help-mode advice help-fns electric url-handlers
url-parse auth-source eieio byte-opt bytecomp byte-compile cconv
eieio-core gnus-util mm-util mail-prsvr password-cache url-vars reveal
autoinsert proof-site proof-autoloads cl-macs gv cl pg-vars uniquify
time-date savehist minibuf-eldef disp-table finder-inf edmacro kmacro
cl-loaddefs cl-lib info easymenu package bbdb-autoloads agda2
vm-autoloads tooltip ediff-hook vc-hooks lisp-float-type mwheel x-win
x-dnd tool-bar dnd fontset image regexp-opt fringe tabulated-list
newcomment lisp-mode prog-mode register page menu-bar rfn-eshadow timer
select scroll-bar mouse jit-lock font-lock syntax font-core frame cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese hebrew greek romanian slovak czech european ethiopic
indian cyrillic chinese case-table epa-hook jka-cmpr-hook help simple
abbrev minibuffer nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
dbusbind gfilenotify dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)




Acknowledgement sent to Stefan Monnier <monnier@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#16026; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 12 Feb 2017 17:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.